hpp-corbaserver: TransformSeq_var Class Reference

hpp-corbaserver 9.0.2 Corba server for Humanoid Path Planner applications

Public Member Functions | Friends | List of all members
TransformSeq_var Class Reference

`#include <hpp/common-idl.hh>`

## Public Member Functions
| TransformSeq_var ()
| TransformSeq_var (TransformSeq *_s)
| TransformSeq_var (const TransformSeq_var &_s)
| ~TransformSeq_var ()
TransformSeq_var & | operator= (TransformSeq *_s)
TransformSeq_var & | operator= (const TransformSeq_var &_s)
Transform__slice * | operator[] (_CORBA_ULong _s)
TransformSeq * | operator-> ()
const TransformSeq * | operator-> () const
| operator const TransformSeq & () const
| operator TransformSeq & ()
const TransformSeq & | in () const
TransformSeq & | inout ()
TransformSeq *& | out ()
TransformSeq * | _retn ()

## Friends
class | TransformSeq_out

## Constructor & Destructor Documentation

## ◆ TransformSeq_var() [1/3]

TransformSeq_var::TransformSeq_var | ( |  | ) |
| inline

## ◆ TransformSeq_var() [2/3]

TransformSeq_var::TransformSeq_var | ( | TransformSeq * | _s | ) |
| inline

## ◆ TransformSeq_var() [3/3]

TransformSeq_var::TransformSeq_var | ( | const TransformSeq_var & | _s | ) |
| inline

## ◆ ~TransformSeq_var()

TransformSeq_var::~TransformSeq_var | ( |  | ) |
| inline

## Member Function Documentation

## ◆ _retn()

TransformSeq* TransformSeq_var::_retn | ( |  | ) |
| inline

## ◆ in()

const TransformSeq& TransformSeq_var::in | ( |  | ) | const
| inline

## ◆ inout()

TransformSeq& TransformSeq_var::inout | ( |  | ) |
| inline

## ◆ operator const TransformSeq &()

TransformSeq_var::operator const TransformSeq & | ( |  | ) | const
| inline

## ◆ operator TransformSeq &()

TransformSeq_var::operator TransformSeq & | ( |  | ) |
| inline

## ◆ operator->() [1/2]

TransformSeq* TransformSeq_var::operator-> | ( |  | ) |
| inline

## ◆ operator->() [2/2]

const TransformSeq* TransformSeq_var::operator-> | ( |  | ) | const
| inline

## ◆ operator=() [1/2]

TransformSeq_var& TransformSeq_var::operator= | ( | const TransformSeq_var & | _s | ) |
| inline

## ◆ operator=() [2/2]

TransformSeq_var& TransformSeq_var::operator= | ( | TransformSeq * | _s | ) |
| inline

## ◆ operator[]()

Transform__slice* TransformSeq_var::operator[] | ( | _CORBA_ULong | _s | ) |
| inline

## ◆ out()

TransformSeq*& TransformSeq_var::out | ( |  | ) |
| inline

## Friends And Related Function Documentation

## ◆ TransformSeq_out

friend class TransformSeq_out
| friend

The documentation for this class was generated from the following file:

- src/hpp/common-idl.hh